<?php

class menu extends plxPlugin {

	# param	default_lang	langue par défaut utilisée par PluXml
	public function __construct($default_lang) {

	# appel du constructeur de la classe plxPlugin (obligatoire)
	parent::__construct($default_lang);

	# droits pour accéder à la page config.php du plugin
	$this->setConfigProfil(PROFIL_ADMIN);

	# limite l'accès à l'écran d'administration du plugin
	$rights = array();
	for($i = 0; $i <= constant($this->getParam('menuRight')); $i++) {
		$rights[] = $i;
	}
	call_user_func_array(array($this,"setAdminProfil"), $rights);

	# Personnalisation du menu admin
	$this->setAdminMenu($this->getParam('menuName'), $this->getParam('menuPos'), $this->getParam('menuCaption'));
	  
	# Ajouts des hooks
	$this->addHook('menu', 'menu');
	$this->addHook('AdminFootEndBody', 'AdminFootEndBody');
	
	# Pour utiliser le shortcode défini dans le plugin
    $this->setParam('spxshortcodes_shortcode', '1', 'string');
  }

/**
 * Méthode qui initialise le fichier de paramètres à l'activation du plugin
 * 
 **/
public function onActivate() {
	$this->setParam('menuRight', PROFIL_ADMIN, 'cdata');
	$this->setParam('menuName', 'Menu', 'cdata');
	$this->setParam('menuPos', '5', 'cdata');
	$this->setParam('menuCaption', 'Gestion du menu', 'cdata');
	$this->setParam('tabMenu', '[{"titre":"Accueil","type":"sHome","src":"/"}]', 'cdata');
	$this->saveParams();
}

// affiche le menu
public function menu() {
	include(PLX_ROOT.'data/configuration/menu.php');
}
	
# Ajoute les fichiers js
public function AdminFootEndBody() {
	if(!empty($_GET['p']) && $_GET['p'] == 'menu') {
		?><script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
		<link rel="stylesheet" href="//code.jquery.com/ui/1.10.4/themes/smoothness/jquery-ui.css" />
		<script src="//code.jquery.com/ui/1.10.4/jquery-ui.min.js"></script>
		<script src="<?php echo PLX_PLUGINS;?>menu/js/jquery.mjs.nestedSortable.js" type="text/javascript"></script>
		<script src="<?php echo PLX_PLUGINS;?>menu/js/menu.js" type="text/javascript"></script><?php
	}
}
	
	
}

?>
